/**
 *  @file      EntityManagerFactoryProvider.java
 *  @author    Stefan Reichert
 *
 *  Copyright (c)
 *  BTC Embedded Systems AG
 *  Oldenburg, Germany
 *
 *  --------------------------------
 *  $$Author: ${user} $$
 *  $$Date: ${date} ${time} $$
 *  $$Rev: revision number $$
 *  --------------------------------
 */
package com.btc.ep.base.transactions;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;

// ---------------------------------------------------------------------------
// Implementation
// ---------------------------------------------------------------------------

/**
 * The class represents SPI. The {@link TransactionManager} requires an implementation on the OSGi service bus
 * registered for this interface.
 */
public interface EntityManagerFactoryProvider {

    /**
     * Returns an {@link EntityManagerFactory} used to create {@link EntityManager} instances for a unit of work
     *
     * @return the configured EntityManagerFactory to be used to create EntityManagers
     */
    EntityManagerFactory getEntityManagerFactory();
}

// ---------------------------------------------------------------------------
// END OF FILE
// ---------------------------------------------------------------------------
